Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openxri.config
Interface ProxyConfig

All Known Implementing Classes:
  PropertiesProxyConfig

    public interface ProxyConfig

Provides an interface for retrieving the proxy preferences.

Field Summary
`static java.lang.String` | `AT_AUTHORITY`
`static java.lang.String` | `BANG_AUTHORITY`
`static java.lang.String` | `BARE_XRI_NOTFOUND_REDIRECT`
`static java.lang.String` | `DEFAULT_MAX_BYTES_PER_REQUEST`
`static java.lang.String` | `DEFAULT_MAX_FOLLOW_REDIRECTS`
`static java.lang.String` | `DEFAULT_MAX_FOLLOW_REFS`
`static java.lang.String` | `DEFAULT_MAX_REQUESTS`
`static java.lang.String` | `DEFAULT_MAX_TOTAL_BYTES`
`static java.lang.String` | `DEFAULT_PROXY_CLASS`
`static java.lang.String` | `EQUALS_AUTHORITY`
`static java.lang.String` | `HTTPS_BYPASS_AUTHORITIES`
`static java.lang.String` | `MAX_BYTES_PER_REQUEST`
`static java.lang.String` | `MAX_FOLLOW_REDIRECTS`
`static java.lang.String` | `MAX_FOLLOW_REFS`
`static java.lang.String` | `MAX_REQUESTS`
`static java.lang.String` | `MAX_TOTAL_BYTES`
`static java.lang.String` | `PROXY_CLASS`
`static java.lang.String` | `ROOT_REDIRECT`
`static java.lang.String` | `SUPPORTED_RES_MEDIA_TYPES`

Method Summary
`XRD` | `getAtAuthority()` If proxied resolution is enabled, this gets the @ authority that this server can use its own proxy requests.
`XRD` | `getBangAuthority()` If proxied resolution is enabled, this gets the = authority that this server can use its own proxy requests.
`java.lang.String` | `getBareXRINotFoundRedirect()`
`XRD` | `getEqualsAuthority()` If proxied resolution is enabled, this gets the = authority that this server can use its own proxy requests.
`java.lang.String[]` | `getHttpsBypassAuthorities()`
`int` | `getMaxBytesPerRequest()`
`int` | `getMaxFollowRedirects()`
`int` | `getMaxFollowRefs()`
`int` | `getMaxHttpRedirectAllowed()`
`int` | `getMaxRequests()`
`int` | `getMaxTotalBytes()`
`java.lang.String` | `getProxyImplClass()` Returns the name of the Java class that implements the Server interface.
`java.lang.String` | `getRootRedirect()`
`java.lang.String` | `getSetting(java.lang.String key)` For extensibility: Get any setting with a given key
`java.lang.String[]` | `getSupportedResMediaTypes()`
`void` | `init()` Initializes configuration
`void` | `persist()` Persists any changes that were made to the configuration
`void` | `setAtAuthority(XRD oVal)` If proxied resolution is enabled, this sets the @ authority that this server can use its own proxy requests.
`void` | `setBangAuthority(XRD oVal)` If proxied resolution is enabled, this sets the = authority that this server can use its own proxy requests.
`void` | `setBareXRINotFoundRedirect(java.lang.String bareXRINotFoundRedirect)`
`void` | `setEqualsAuthority(XRD oVal)` If proxied resolution is enabled, this sets the = authority that this server can use its own proxy requests.
`void` | `setHttpsBypassAuthorities(java.lang.String[] httpsBypassAuthorities)`
`void` | `setMaxBytesPerRequest(int maxBytesPerRequest)`
`void` | `setMaxFollowRedirects(int maxFollowRedirects)`
`void` | `setMaxFollowRefs(int maxFollowRefs)`
`void` | `setMaxRequests(int maxRequests)`
`void` | `setMaxTotalBytes(int maxTotalBytes)`
`void` | `setProxyImplClass(java.lang.String sVal)` Sets the name of the Java class that implements the Server interface.
`void` | `setRootRedirect(java.lang.String rootRedirect)`
`void` | `setSupportedResMediaTypes(java.lang.String[] mediaTypes)`

Field Detail

### PROXY_CLASS

    static final java.lang.String PROXY_CLASS

See Also:
  Constant Field Values

### DEFAULT_PROXY_CLASS

    static final java.lang.String DEFAULT_PROXY_CLASS

### MAX_FOLLOW_REDIRECTS

    static final java.lang.String MAX_FOLLOW_REDIRECTS

See Also:
  Constant Field Values

### MAX_FOLLOW_REFS

    static final java.lang.String MAX_FOLLOW_REFS

See Also:
  Constant Field Values

### MAX_REQUESTS

    static final java.lang.String MAX_REQUESTS

See Also:
  Constant Field Values

### MAX_TOTAL_BYTES

    static final java.lang.String MAX_TOTAL_BYTES

See Also:
  Constant Field Values

### MAX_BYTES_PER_REQUEST

    static final java.lang.String MAX_BYTES_PER_REQUEST

See Also:
  Constant Field Values

### AT_AUTHORITY

    static final java.lang.String AT_AUTHORITY

See Also:
  Constant Field Values

### EQUALS_AUTHORITY

    static final java.lang.String EQUALS_AUTHORITY

See Also:
  Constant Field Values

### BANG_AUTHORITY

    static final java.lang.String BANG_AUTHORITY

See Also:
  Constant Field Values

### SUPPORTED_RES_MEDIA_TYPES

    static final java.lang.String SUPPORTED_RES_MEDIA_TYPES

See Also:
  Constant Field Values

### HTTPS_BYPASS_AUTHORITIES

    static final java.lang.String HTTPS_BYPASS_AUTHORITIES

See Also:
  Constant Field Values

### BARE_XRI_NOTFOUND_REDIRECT

    static final java.lang.String BARE_XRI_NOTFOUND_REDIRECT

See Also:
  Constant Field Values

### ROOT_REDIRECT

    static final java.lang.String ROOT_REDIRECT

See Also:
  Constant Field Values

### DEFAULT_MAX_FOLLOW_REDIRECTS

    static final java.lang.String DEFAULT_MAX_FOLLOW_REDIRECTS

See Also:
  Constant Field Values

### DEFAULT_MAX_FOLLOW_REFS

    static final java.lang.String DEFAULT_MAX_FOLLOW_REFS

See Also:
  Constant Field Values

### DEFAULT_MAX_REQUESTS

    static final java.lang.String DEFAULT_MAX_REQUESTS

See Also:
  Constant Field Values

### DEFAULT_MAX_TOTAL_BYTES

    static final java.lang.String DEFAULT_MAX_TOTAL_BYTES

See Also:
  Constant Field Values

### DEFAULT_MAX_BYTES_PER_REQUEST

    static final java.lang.String DEFAULT_MAX_BYTES_PER_REQUEST

See Also:
  Constant Field Values

Method Detail

### init

    void init()
              throws java.lang.Exception

  Initializes configuration

  Throws:
    `java.lang.Exception`

### persist

    void persist()

  Persists any changes that were made to the configuration

### getSetting

    java.lang.String getSetting(java.lang.String key)

  For extensibility: Get any setting with a given key

### getProxyImplClass

    java.lang.String getProxyImplClass()

  Returns the name of the Java class that implements the Server interface.

### setProxyImplClass

    void setProxyImplClass(java.lang.String sVal)

  Sets the name of the Java class that implements the Server interface.

### getEqualsAuthority

    XRD getEqualsAuthority()
                           throws java.net.URISyntaxException,
                                  java.text.ParseException

  If proxied resolution is enabled, this gets the = authority that this server can use its own proxy requests.

  Throws:
    `java.net.URISyntaxException`
    `java.text.ParseException`

### setEqualsAuthority

    void setEqualsAuthority(XRD oVal)

  If proxied resolution is enabled, this sets the = authority that this server can use its own proxy requests.

### getAtAuthority

    XRD getAtAuthority()
                       throws java.net.URISyntaxException,
                              java.text.ParseException

  If proxied resolution is enabled, this gets the @ authority that this server can use its own proxy requests.

  Throws:
    `java.net.URISyntaxException`
    `java.text.ParseException`

### setAtAuthority

    void setAtAuthority(XRD oVal)

  If proxied resolution is enabled, this sets the @ authority that this server can use its own proxy requests.

### getBangAuthority

    XRD getBangAuthority()
                         throws java.net.URISyntaxException,
                                java.text.ParseException

  If proxied resolution is enabled, this gets the = authority that this server can use its own proxy requests.

  Throws:
    `java.net.URISyntaxException`
    `java.text.ParseException`

### setBangAuthority

    void setBangAuthority(XRD oVal)

  If proxied resolution is enabled, this sets the = authority that this server can use its own proxy requests.

### getMaxBytesPerRequest

    int getMaxBytesPerRequest()

### setMaxBytesPerRequest

    void setMaxBytesPerRequest(int maxBytesPerRequest)

### getMaxFollowRedirects

    int getMaxFollowRedirects()

### setMaxFollowRedirects

    void setMaxFollowRedirects(int maxFollowRedirects)

### getMaxFollowRefs

    int getMaxFollowRefs()

### setMaxFollowRefs

    void setMaxFollowRefs(int maxFollowRefs)

### getMaxRequests

    int getMaxRequests()

### setMaxRequests

    void setMaxRequests(int maxRequests)

### getMaxTotalBytes

    int getMaxTotalBytes()

### setMaxTotalBytes

    void setMaxTotalBytes(int maxTotalBytes)

### getMaxHttpRedirectAllowed

    int getMaxHttpRedirectAllowed()

### getSupportedResMediaTypes

    java.lang.String[] getSupportedResMediaTypes()

### setSupportedResMediaTypes

    void setSupportedResMediaTypes(java.lang.String[] mediaTypes)

### getHttpsBypassAuthorities

    java.lang.String[] getHttpsBypassAuthorities()

### setHttpsBypassAuthorities

    void setHttpsBypassAuthorities(java.lang.String[] httpsBypassAuthorities)

### getBareXRINotFoundRedirect

    java.lang.String getBareXRINotFoundRedirect()

### setBareXRINotFoundRedirect

    void setBareXRINotFoundRedirect(java.lang.String bareXRINotFoundRedirect)

### getRootRedirect

    java.lang.String getRootRedirect()

### setRootRedirect

    void setRootRedirect(java.lang.String rootRedirect)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2009. All Rights Reserved.